Show / Hide Table of Contents

# Class GenericResponse

Anything other than a 200 or 302 response

##### Inheritance

Object
RequestResponseBase
Response
GenericResponse

##### Inherited Members

Response.StatusCode
Response.StatusDescription
Response.HasBody
Response.KeepAlive
Response.Is100Continue
Response.ExpectationFailed
Response.HeaderText
RequestResponseBase.BodyInternal
RequestResponseBase.OriginalIsBodyRead
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http.Responses

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class GenericResponse : Response

### Constructors

#### GenericResponse(Int32, String)

Constructor.

##### Declaration

    public GenericResponse(int statusCode, string statusDescription)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | statusCode |
String | statusDescription |

#### GenericResponse(HttpStatusCode)

Constructor.

##### Declaration

    public GenericResponse(HttpStatusCode status)

##### Parameters

Type | Name | Description
--- | --- | ---
HttpStatusCode | status |